Subject: Re: Content-Encoding header (again)

From: Jonathan Rosenberg <[email-masked]>
Date: Wed, 01 Mar 2000 01:23:24 -0500

> Joshua Moloney wrote:
> 
> In a SIP message with multiple payloads (i.e. multipart/mixed
> content-type), the following example is often cited:
> 
.....
>         --unique-boundary-1
>         Content-type:application/ISUP; version=ETSI1
>         Content-Transfer-Encoding: binary
> 
>         89 8b 0e 95 1e 1e 1e 06 26 05 0d f5 01 06 10 04 00
> 
>         --unique-boundary-1--
> 

Indeed, draft-ietf-sip-isup-mime does use the Content-Transfer-Encoding
in the example. I'm not sure its needed. Since SIP can carry the binary
natively, I don't think we need it. My understanding was that if the
native format for the Content-Type was binary, the data which followed
was simply binary - no need to specify a transfer encoding.

> The ISUP payload has a Content-Transfer-Encoding header. Is this
> correct? Is it required at all (for the reasons stated in your
> original response), or should the Content-Encoding header be used
> instead? 

You don't need Content-Encoding unless some kind of optional
transformation has been applied (like gzip). You should be able to send
the binary directly without any kind of encodings.

Or, should a parser be able to understand both types of
> header (thus suggesting that a SIP parser should be fully MIME
> compliant)?

No, SIP uses a subset of MIME, same as http. I still believe we do not
need Content-Transfer-Encoding, unless someone can give a compelling
reason why....

-Jonathan R.
-- 
Jonathan D. Rosenberg                       200 Executive Drive
Chief Scientist                             Suite 120 
dynamicsoft                                 West Orange, NJ 07052
[email-masked]                     FAX:   (732) 741-4778
http://www.cs.columbia.edu/~jdrosen         PHONE: (732) 741-7244
http://www.dynamicsoft.com